import 'package:dio/dio.dart';
import 'package:senior_authentication/src/models/constants/regex.dart';

class AuthenticationUtils {
  static String parseTokenValue(String token) {
    var splitted = token.split(' ');
    if (splitted.length > 1) {
      return token;
    } else {
      return 'Bearer $token';
    }
  }
}

class PlatformInterceptor {
  Dio addInterceptor(String bridgeUrl, Dio dio) {
    dio.interceptors.add(InterceptorsWrapper(onRequest: (options, handler) {
      var sendToBridge = options.path.contains(dontUseHttp);
      var includeBar = !options.path.startsWith('/');

      if (sendToBridge) {
        options.path = includeBar
            ? '$bridgeUrl/${options.path}'
            : '$bridgeUrl${options.path}';
      }

      handler.next(options);
    }));

    return dio;
  }
}
